from qmdl.helper import Helper

#read the model file
mymdl = Helper()
mymdl.load("model.mdl")
        
#apply new sequencial names to the frames
mymdl.rename_frames([("pose", len(mymdl.mdl.frames))])

#import these skinfiles
skinlist = ["tele.bmp","azure.bmp","mud.bmp"]
for skin in skinlist:
    mymdl.append_skin(skin)

#flatten the vertex normals
for frame in mymdl.mdl.frames:
    for vertex in frame.vertices:
        org = mymdl.mdl.translate(vertex)
        vertex.encode((40-org[0],-org[1],-org[2]))
		
mymdl.group_frames(0, 15, "spiral")
		
#rescale the model
mymdl.mdl.scale = (mymdl.mdl.scale[0]*2,mymdl.mdl.scale[1]*2,mymdl.mdl.scale[2]*2)
mymdl.mdl.origin = (mymdl.mdl.origin[0]*2,mymdl.mdl.origin[1]*2,mymdl.mdl.origin[2]*2)

mymdl.save()
